Bug 51326 - Accessibility:MAS 40B:Name property is incorrect for "Output verbosity" combo box
Summary: Accessibility:MAS 40B:Name property is incorrect for "Output verbosity" combo...
Status: CLOSED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Accessibility (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Adrian Murphy
URL:
Depends on:
Blocks:
 
Reported: 2017-01-10 11:55 UTC by v-sukals@microsoft.com
Modified: 2017-10-06 09:57 UTC (History)
3 users (show)

Tags: a11ymas,wipro
Is this bug a regression?: ---
Last known good build:


Attachments
Inpect and Narrator buddy logs (60.00 KB, image/png)
2017-01-10 11:55 UTC, v-sukals@microsoft.com
Details
Inspect log (81.54 KB, image/png)
2017-01-11 05:23 UTC, v-sukals@microsoft.com
Details
Issue is not fixed- Inspect and Narrator buddy Logs (183.57 KB, application/x-zip-compressed)
2017-10-03 13:31 UTC, v-sukals@microsoft.com
Details
Issue is fixed-Inspect and Narrator buddy Logs (179.43 KB, application/x-zip-compressed)
2017-10-06 09:55 UTC, v-sukals@microsoft.com
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED FIXED

Description v-sukals@microsoft.com 2017-01-10 11:55:38 UTC
Created attachment 19146 [details]
Inpect and Narrator buddy logs

Repro Steps:
1. Launch Visual Studio RC 2017
2. Open File+New Project+Select "Crossplatform" from the Left Pane
3. Select "Cross Platform App". "New Crossplatform" window opens
4. Select "Blank App" 
5. Press Ok button
6. Open Tools-->Options
7. "Options" window opens. Navigate to "Xamarin" and expand. 
8. Select "Android Settings"
9. Launch inspect tool
10. Using Tab navigate to "Output verbosity" combo box
11. Observe "Name" property in inspect


Actual Behavior:
Name Property is defined as "Xamarin Diagnostics".
Here "Xamarin Diagnostics" is sub header text, actual name of the combo box is "output verbosity"


Expected Behavior:
Name Property should be defined as "Output verbosity"

User impact:
Screen reader reads the combo box name as "Xamarin Diagnostics" but not actual combo box name. Which gives incorrect results to the users rely on screen readers
Comment 1 v-sukals@microsoft.com 2017-01-11 05:23:09 UTC
Created attachment 19167 [details]
Inspect log
Comment 2 xamarin-release-manager 2017-08-30 19:49:35 UTC
Fixed in version 4.8.0.314 (master)

Author: Nick
Commit: c5ffe7423f6189f3c44a9ed1982ee6aacd9d4c2f (xamarin/XamarinVS)
Comment 3 v-sukals@microsoft.com 2017-09-12 13:10:30 UTC
Xamarin version 4.8.0.314 (master) is not available.
Comment 4 v-sukals@microsoft.com 2017-10-03 13:31:48 UTC
Created attachment 25071 [details]
Issue is not fixed- Inspect and Narrator buddy Logs
Comment 5 v-sukals@microsoft.com 2017-10-03 13:35:27 UTC
Initially the label of the combo box was "Output verbosity" but the name property was defined as "Xamarin Diagnostics" in inspect tool.
As per the latest UI, the label of the combo box "Xamarin Diagnostics Output verbosity" and the name is defined as "Output verbosity" in inspect tool. 

The expected behavior as per the latest UI is, the name property should be defined as "Xamarin Diagnostics Output verbosity" .Hence reactivating the bug.

Verified Windows Version:
Windows 10 Pro
OS Version 1703 (OS Build 15063.608)

Verified Visual Studio Build:
Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0[27002.0.d15rel]
Xamarin Version: 4.8.0.315(50450332e)

Note: Please find the attached screenshot for more info.
[Screenshot: Issue is not fixed- Inspect and Narrator buddy Logs]
Comment 6 Pierce Boggan [MSFT] 2017-10-03 16:55:00 UTC
Hi,

In the original report, it was stated the expected behavior is the name property should be defined as "Output verbosity". Per Comment #5, that seems like exactly the behavior we implemented: "the name is defined as "Output verbosity" in inspect tool."

Closing as RESOLVED-FIXED.
Comment 7 v-sukals@microsoft.com 2017-10-06 09:55:05 UTC
Created attachment 25149 [details]
Issue is fixed-Inspect and Narrator buddy Logs
Comment 8 v-sukals@microsoft.com 2017-10-06 09:57:03 UTC
Though the Ui is changed, the name property is appropriate to the context
hence closing the bug.

Verified Windows Version:
Windows 10 Pro
OS Version 1703 (OS Build 15063.608)

Verified Visual Studio Build:
Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0[27005.0.d15rel]
Xamarin Version: 4.8.0.559(50450332e)

Note: Please find the attached screenshot for more info.
[Screenshot: Issue is fixed-Inspect and Narrator buddy Logs]